### Hierarchy

- JsonFormsBaseRenderer<Category>
  - CategoryRenderer

## Index

### Constructors

- constructor

### Properties

- elements
- label
- paramsService
- path
- schema
- uischema
- CATEGORY_KEY

### Methods

- getOwnProps
- updatedElements

## Constructors

### constructor

- new CategoryRenderer(navParams: NavParams, paramsService: ParamsService): CategoryRenderer

- - Defined in layouts/categorization/category/category.ts:19

  #### Parameters

  - ##### navParams: NavParams

  - ##### paramsService: ParamsService

  #### Returns CategoryRenderer

## Properties

### elements

elements: any[]

- Defined in layouts/categorization/category/category.ts:19

### label

label: string

- Defined in layouts/categorization/category/category.ts:18

### Private paramsService

paramsService: ParamsService

- Defined in layouts/categorization/category/category.ts:21

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### uischema

uischema: Category

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

### Static CATEGORY_KEY

CATEGORY_KEY: string = "jsonforms-category-"

- Defined in layouts/categorization/category/category.ts:17

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### updatedElements

- updatedElements(): any[]

- - Defined in layouts/categorization/category/category.ts:32

  #### Returns any[]

Generated using TypeDoc